/*

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayAssemble
{
    /// <summary>
    /// 适配类
    /// </summary>
    public class Adapter
    {
        /// <summary>
        /// 适配软件唯一标识
        /// </summary>
        public string adapterID;

        /// <summary>
        /// 适配软件名称
        /// </summary>
        public string adapterName;

        /// <summary>
        /// 适配软件Ip地址
        /// </summary>
        public string AdatperIP;

        /// <summary>
        /// 适配软件端口号
        /// </summary>
        public string AdapterPort;
        
        private List<Equip> _equipList;

        public List<Equip> EquipList
        {
            get
            {
                if (_equipList != null)
                {
                    return _equipList;
                }
                else
                {
                    _equipList = new List<Equip>();
                    return _equipList;
                }
            }
            set
            {
                lock (string.Empty)
                {
                    _equipList = value;
                }
            }
        }

        private List<Sensor> _sensorList;

        public List<Sensor> SensorList
        {
            get
            {
                if (_sensorList != null)
                {
                    return _sensorList;
                }
                else
                {
                    _sensorList = new List<Sensor>();
                    return _sensorList;
                }
            }
            set
            {
                lock (string.Empty)
                {
                    _sensorList = value;
                }
            }
        }
    }
}
*/